package com.ygtx.gxt.mapper;

import java.util.List;
import com.ygtx.gxt.domain.GxtRepairOrderPerson;
import org.apache.ibatis.annotations.Mapper;

/**
 * 维修工单工作组员名单Mapper接口
 *
 * @author ouyj
 * @date 2025-11-01
 */
@Mapper
public interface GxtRepairOrderPersonMapper
{
    /**
     * 查询维修工单工作组员名单
     *
     * @param id 维修工单工作组员名单主键
     * @return 维修工单工作组员名单
     */
    public GxtRepairOrderPerson selectGxtRepairOrderPersonById(Long id);

    /**
     * 查询维修工单工作组员名单列表
     *
     * @param gxtRepairOrderPerson 维修工单工作组员名单
     * @return 维修工单工作组员名单集合
     */
    public List<GxtRepairOrderPerson> selectGxtRepairOrderPersonList(GxtRepairOrderPerson gxtRepairOrderPerson);
    public List<GxtRepairOrderPerson> selectGxtRepairOrderPersonListByScore(GxtRepairOrderPerson gxtRepairOrderPerson);

    /**
     * 新增维修工单工作组员名单
     *
     * @param gxtRepairOrderPerson 维修工单工作组员名单
     * @return 结果
     */
    public int insertGxtRepairOrderPerson(GxtRepairOrderPerson gxtRepairOrderPerson);

    /**
     * 修改维修工单工作组员名单
     *
     * @param gxtRepairOrderPerson 维修工单工作组员名单
     * @return 结果
     */
    public int updateGxtRepairOrderPerson(GxtRepairOrderPerson gxtRepairOrderPerson);

    /**
     * 删除维修工单工作组员名单
     *
     * @param id 维修工单工作组员名单主键
     * @return 结果
     */
    public int deleteGxtRepairOrderPersonById(Long id);

    /**
     * 批量删除维修工单工作组员名单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGxtRepairOrderPersonByIds(Long[] ids);

    public int deleteGxtRepairOrderPersonByOrderId(Long orderId);
}